/**
 * 
 */
package org.arabicfedora;

/**
 * This class models a POMessage having an original string, 
 * a translated string and possibly some comments.
 * 
 * @author Mohammad Ghoniem
 */
public class POMessage {
	private String msgid = null; 	// original string
	
	private String msgstr = null; 	// translated string
	
	private String comments = null; // comments about the string
									// (like file location and state)

	public POMessage(String msgid, String msgstr, String comments) {
		this.msgid = msgid;
		this.msgstr = msgstr;
		this.comments = comments;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getMsgid() {
		return msgid;
	}

	public void setMsgid(String msgid) {
		this.msgid = msgid;
	}

	public String getMsgstr() {
		return msgstr;
	}

	public void setMsgstr(String msgstr) {
		this.msgstr = msgstr;
	}
	
	/**
	 * Returns a string representation of the POMessage instance.
	 */
	public String toString(){
		return this.getComments()+ "\n" + "msgid "+this.getMsgid()+ "\n" + "msgstr "+this.getMsgstr()+ "\n";
	}

}
